Query check
GET /collector/<collectorKey>/check/
Description
Returns detailed information for a specific check within a collector. By supplying optional query parameters, you can expand the check's hierarchy in a single request—including its check types and nested metrics (along with their data, format, and reference definitions).
To inspect the full parent collector (including all checks and configuration options), see Query collector. If you only need to inspect a single child resource, see the dedicated endpoints for querying a type or metric.
Path parameters
| Param | Description |
|---|---|
collectorKey |
Collector key. |
checkKey |
Check key. |
Query parameters
| Param | Default | Description |
|---|---|---|
fields |
all fields | Fields to return (see Fields below for all available fields). |
types |
none | Type fields. If at least one field is given, the result will include "types" with an array of type objects (see Type api for all available type fields). |
metrics |
none | Metric fields. If at least one field is given, the result will include "metrics" with an array of metric objects (see Metric api for all available metric fields). |
data |
none | Data fields. The result will include "data" with a data object (see Data api for all available data fields). |
format |
none | Format fields. The result will include "format" with a format object (see Format api for all available format fields). |
ref |
none | Ref type fields. The result will include "ref" with a ref object (see Ref api for all available ref fields). |
refs |
none | Ref fields. If at least one field is given, the result will include "refs" with an array of ref objects (see Refs api for all available ref fields). |
Fields
| Field | Return type | Description |
|---|---|---|
key |
string | Check key. |
name |
string | Check name. |
interval |
integer/null | Check interval. Only applicable for probe collectors or service collectors. |
maxAge |
integer/null | Maximum age in seconds before a notification is raised if no new data is received. When null, no maximum age is enforced. |
mustExist |
boolean | Whether the check must exist. |
Return codes
| Error code | Reason |
|---|---|
200 |
Success. |
400 |
Unknown field. |
401 |
Invalid or missing token. |
403 |
Insufficient permissions (required: API+READ). |
404 |
Collector not found. |
Example
Curl request:
curl \
-X GET 'https://api.infrasonar.com/collector/http/check/http?fields=key,interval' \
-H 'Authorization: Bearer XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX'
Response:
{
"key": "http",
"interval": 60
}